<?php
/*------------------------------------------------------------------------
# "Hot Host" Joomla template - September, 2011
# Copyright (C) 2011 ArhiNet d.o.o. All Rights Reserved.
# License: http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
# Author: HotJoomlaTemplates.com
# Website: http://www.hotjoomlatemplates.com
-------------------------------------------------------------------------*/
defined( '_JEXEC' ) or die( 'Restricted access' );
define( 'YOURBASEPATH', dirname(__FILE__) );
$template_path = $this->baseurl.'/templates/'.$this->template;
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" >
<head>
<jdoc:include type="head" />

<?php	// module states

		$showadvert[1] = $this->countModules('advert1');
		$showadvert[2] = $this->countModules('advert2');
		$showadvert[3] = $this->countModules('advert3');
		$showadvert[4] = $this->countModules('advert4');
		$showuser[5] = $this->countModules('user5');
		$showuser[6] = $this->countModules('user6');
		$showuser[7] = $this->countModules('user7');
		$showuser[8] = $this->countModules('user8');
		$showuser4 = $this->countModules('user4');
		$showuser9 = $this->countModules('user9');
		$showfooter[1] = $this->countModules('footer1');
		$showfooter[2] = $this->countModules('footer2');
		$showfooter[3] = $this->countModules('footer3');
		$showfooter[4] = $this->countModules('footer4');
		$showleft = $this->countModules('left');
		$showright = $this->countModules('right');
		$showuser1 = $this->countModules('user1');
		$showuser2 = $this->countModules('user2');
		$showuser3 = $this->countModules('user3');
		$showbreadcrumbs = $this->countModules('breadcrumbs');
		$showfootercopyright = $this->countModules('footer');
		$showbottom = $this->countModules('bottom');
		
		$uppermodules = 0;
		for ($loop = 1; $loop <= 4; $loop += 1) {
			if($showadvert[$loop]) { $uppermodules++; }
		}
		
		$bottommodules = 0;
		for ($loop = 5; $loop <= 8; $loop += 1) {
			if($showuser[$loop]) { $bottommodules++; }
		}
		
		$footermodules = 0;
		for ($loop = 1; $loop <= 4; $loop += 1) {
			if($showfooter[$loop]) { $footermodules++; }
		}
?>

<?php	// template parameters

		// template layout
		$templateWidth = $this->params->get("templateWidth", "990");
		$textDirection = $this->params->get("textDirection", "ltr");
		$columnLeftWidth = 0; $columnRightWidth = 0;
		if ($showleft) {
			$columnLeftWidth = $this->params->get("columnLeftWidth", "200"); 
		}else{
			$columnLeftWidth = 0;
		}
		if ($showright) {
			$columnRightWidth = $this->params->get("columnRightWidth", "200");
		}else{
			$columnRightWidth = 0;
		}
		
		$contentWidth = $templateWidth - $columnLeftWidth - $columnRightWidth;
		$overallWidth = $templateWidth;
		
		// advert1-4 modules width
		if($uppermodules) {
			$advert_width = 0;
			$advert_width = ($templateWidth - (($uppermodules - 1) * 20)) / $uppermodules;
			$advert_width = floor($advert_width);
		}
		
		// user5-8 modules width
		if($bottommodules) {
			$bottom_width = 0;
			$bottom_width = ($templateWidth - (($bottommodules - 1) * 20)) / $bottommodules;
			$bottom_width = floor($bottom_width);
		}
		
		// footer1-4 modules width
		if($footermodules) {
			$footer_width = 0;
			$footer_width = ($templateWidth - (($footermodules - 1) * 20)) / $footermodules;
			$footer_width = floor($footer_width);
		}
		
		// add-ons
		$imageReflectionLoad = $this->params->get("imageReflectionLoad", "1");
		
		// template style
		
			// check if in parameters
			$templateStyle = $this->params->get("templateStyle", "1");
			
			// check if it cookie
			if(isset($_COOKIE['Style']))
			{
			$templateStyle = $_COOKIE['Style'];
			}
			
			$templateStyleTest = "";
			
			// check if in link
			if (isset($_GET['style'])) {
				$templateStyleTest = $_GET['style'];
			}
			
			if ($templateStyleTest) { 
				$templateStyle = $templateStyleTest;
				$Month = 2592000 + time(); 
				setcookie("Style", $templateStyle, $Month);
			}
		
		if($templateStyle) {
			
		require(YOURBASEPATH."/styles/style".$templateStyle.".php");
			
		}else{
		
		$backgroundColor = $this->params->get("backgroundColor", "#1A3C5D");
		$topLineColor = $this->params->get("topLineColor", "#0E3154");
		$bodyText = $this->params->get("bodyText", "#659DD1");
		$linksColor = $this->params->get("linksColor", "#f5d500");	
		$componentHeadingText = $this->params->get("componentHeadingText", "#ffffff");
		$headingText = $this->params->get("headingText", "#ffffff");
		$headingHoverText = $this->params->get("headingHoverText", "#ffffff");
		$buttonsBg = $this->params->get("buttonsBg", "#f5d500");
		$buttonsText = $this->params->get("buttonsText", "#0E3154");
		$inputShadow = $this->params->get("inputShadow", "#4773a3");
		$menuAnimationEffect = $this->params->get("menuEffect", "fadeIn(700)");	
		$topMenuText = $this->params->get("topMenuText", "#f5d500");
		$topMenuHoverText = $this->params->get("topMenuHoverText", "#FFFFFF");
		$topMenuActiveBg = $this->params->get("topMenuActiveBg", "#2D547C");
		$topMenuSubBgHover = $this->params->get("topMenuSubBgHover", "#115164");
		$topMenuSubText = $this->params->get("topMenuSubText", "#ffffff");
		$topMenuSubTextHover = $this->params->get("topMenuSubTextHover", "#ffffff");
		$columnHeadingBg = $this->params->get("columnHeadingBg", "#8CCC00");
		$columnFirstWord = $this->params->get("columnFirstWord", "#444444");
		$columnHeading = $this->params->get("columnHeading", "#444444");
		$columnText = $this->params->get("columnText", "#659DD1");
		$columnLink = $this->params->get("columnLink", "#FFFFFF");
		$featuredBg = $this->params->get("featuredBg", "#f5d500");
		$featuredText = $this->params->get("featuredText", "#283751");
		$footerWrapBg = $this->params->get("footerWrapBg", "#0E3154");
		$footerText = $this->params->get("footerText", "#cccccc");
		$footerLink = $this->params->get("footerLink", "#cccccc");
		$footerLinkHover = $this->params->get("footerLinkHover", "#ffffff");
		
		}	
?>

<link rel="stylesheet" href="<?php echo $template_path; ?>/css/template_css.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $template_path; ?>/css/layout.css" type="text/css" />
<link href='http://fonts.googleapis.com/css?family=Lato:300' rel='stylesheet' type='text/css' />
<?php if($textDirection=="rtl") { ?>
<link rel="stylesheet" href="<?php echo $template_path; ?>/css/rtl.css" type="text/css" />
<?php } ?>
<style type="text/css">
<!--
<?php require(dirname(__FILE__).DS.'/css/template_css.php'); ?>
-->
</style>
<!--[if lt IE 9]>
<style type="text/css">
<?php require(dirname(__FILE__).DS.'/css/template_css_ie78.php'); ?>
</style>
<![endif]-->
<script type="text/javascript" src="<?php echo $template_path; ?>/js/jquery.min.js"></script>
<script type="text/javascript">
     jQuery.noConflict();
</script>

<!-- top menu -->
<script type="text/javascript">
function mainmenu(){
jQuery(" #nav ul ").css({display: "none"}); // Opera Fix
jQuery(" #nav li ").hover(function(){
		jQuery(this).find('ul:first').css({visibility: "visible",display: "none"}).<?php echo $menuAnimationEffect; ?>;
		},function(){jQuery(this).find('ul:first').css({visibility: "hidden"});	});}
jQuery(document).ready(function(){ mainmenu();});
</script>

<?php if($imageReflectionLoad) { ?>
<!-- reflection -->
<script type="text/javascript" src="<?php echo $template_path; ?>/js/reflection.js"></script>
<?php } ?>

</head>
<body>
<div class="topline"></div>
<?php if ($showuser3) { ?>
<div id="topmenu">
    <div id="logo">
    	  <jdoc:include type="modules" name="logo" style="none" />
    </div>
    <div id="topmenu_pad">
        <jdoc:include type="modules" name="user3" style="none" />
    </div>
</div>
<?php } ?>
<?php if ($showuser9 || $showuser4) { ?>
<div id="topmenu_nav_wrap">
    <div id="topmenu_nav">
        <jdoc:include type="modules" name="user9" style="none" />
        <div id="search_module">
        	<jdoc:include type="modules" name="user4" style="none" />
    	  </div>
    </div>
</div>
<?php } ?>
<?php if ($showbreadcrumbs) { ?>
<div id="path_wrap">
    <div class="path">
        <div class="path_pad">
            <jdoc:include type="modules" name="breadcrumbs" style="none" />
        </div>
    </div>
</div>
<?php } ?>
<?php if ($uppermodules) { ?>
<div class="upper_wrap">
    <div class="upper">
        <?php if($showadvert[1]) { ?>
        <div class="module_padding <?php if (!$showadvert[2] && !$showadvert[3] && !$showadvert[4]) { echo "last"; } ?>">
            <jdoc:include type="modules" name="advert1" style="hot" />
        </div>
        <?php } if($showadvert[2]) { ?>
        <div class="module_padding <?php if (!$showadvert[3] && !$showadvert[4]) { echo "last"; } ?>">
            <jdoc:include type="modules" name="advert2" style="hot" />
        </div>
        <?php } if($showadvert[3]) { ?>
        <div class="module_padding <?php if (!$showadvert[4]) { echo "last"; } ?>">
            <jdoc:include type="modules" name="advert3" style="hot" />
        </div>
        <?php } if($showadvert[4]) { ?>
        <div class="module_padding last">
            <jdoc:include type="modules" name="advert4" style="hot" />
        </div>
        <?php } ?>
    </div>
    <div class="clr"></div>
</div>
<?php } ?>
<div id="content_gradient">
    <div id="wrapper">
        <div class="main_area">
            <?php if ($showleft) { ?>
            <div class="column_left">
            	<div class="column_left_pad">
                	<jdoc:include type="modules" name="left" style="hot" />
                </div>
            </div>
            <?php } ?>
            <div class="content_wrap_top">
                <div class="content_wrap">
                    <div class="content_pad<?php if (!$showleft) { echo "_noleft"; } if (!$showright) { echo "_noright"; } ?>">
                        <?php if ($showuser1) { ?>
                        <div class="module_inset">
                            <jdoc:include type="modules" name="user1" style="hot" />
                        </div>
                        <?php } ?>
                        <div class="article_pad">
                            <jdoc:include type="message" />
                            <jdoc:include type="component" />
                        </div>
                        <?php if ($showuser2) { ?>
                        <div class="module_toolbar">
                            <jdoc:include type="modules" name="user2" style="hot" />
                        </div>
                        <?php } ?>
                    </div>
                </div><div class="clr"></div>
            </div>
            <?php if ($showright) { ?>
            <div class="column_right">
            	<div class="column_right_pad">
                	<jdoc:include type="modules" name="right" style="hot" />
                </div>
            </div>
            <?php } ?>
            <div class="clr"></div>
        </div>
    </div>
</div>
<?php if ($bottommodules) { ?>
<div class="bottom">
	<?php if($showuser[5]) { ?>
	<div class="module_padding <?php if (!$showuser[6] && !$showuser[7] && !$showuser[8]) { echo "last"; } ?>">
		<jdoc:include type="modules" name="user5" style="hot" />
	</div>
	<?php } if($showuser[6]) { ?>
	<div class="module_padding <?php if (!$showuser[7] && !$showuser[8]) { echo "last"; } ?>">
		<jdoc:include type="modules" name="user6" style="hot" />
	</div>
	<?php } if($showuser[7]) { ?>
	<div class="module_padding <?php if (!$showuser[8]) { echo "last"; } ?>">
		<jdoc:include type="modules" name="user7" style="hot" />
	</div>
	<?php } if($showuser[8]) { ?>
	<div class="module_padding last">
		<jdoc:include type="modules" name="user8" style="hot" />
	</div>
	<?php } ?>
</div>
<div class="clr"></div>
<?php } ?>
<?php if ($footermodules) { ?>
<div class="footer_wrap">
    <div class="footer_content">
        <?php if($showfooter[1]) { ?>
        <div class="module_padding <?php if (!$showfooter[2] && !$showfooter[3] && !$showfooter[4]) { echo "last"; } ?>">
            <jdoc:include type="modules" name="footer1" style="hot" />
        </div>
        <?php } if($showfooter[2]) { ?>
        <div class="module_padding <?php if (!$showfooter[3] && !$showfooter[4]) { echo "last"; } ?>">
            <jdoc:include type="modules" name="footer2" style="hot" />
        </div>
        <?php } if($showfooter[3]) { ?>
        <div class="module_padding <?php if (!$showfooter[4]) { echo "last"; } ?>">
            <jdoc:include type="modules" name="footer3" style="hot" />
        </div>
        <?php } if($showfooter[4]) { ?>
        <div class="module_padding last">
            <jdoc:include type="modules" name="footer4" style="hot" />
        </div>
        <?php } ?>
    <div class="clr"></div>
    </div>
</div>
<?php } ?>
<?php if ($showfootercopyright || $showbottom) { ?>
<div class="footer_wrap_copyright">
    <div class="footer_wrap_copyright_content">
    	<?php if ($showfootercopyright) { ?>
        <div class="footer<?php if (!$showbottom) { echo "_full"; } ?>">
            <div class="footer_pad">
                <jdoc:include type="modules" name="footer" />
            </div>
        </div>
        <?php } ?>
        <?php if ($showbottom) { ?>
        <div class="footer<?php if (!$showfootercopyright) { echo "_full"; } ?>">
            <div class="footer_pad">
                <jdoc:include type="modules" name="bottom" />
            </div>
        </div><div class="clr"></div>
        <?php } ?>
    </div>
</div>
<?php } ?>
<div class="clr"></div>
<jdoc:include type="modules" name="debug" />    
</body>
</html>